.logo {
    width: 100px;
    height: 100px;
    object-fit: cover;
    vertical-align: middle;
    border-radius: 50%;
  }
  h1 {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
  }
  body {
      margin: 0;
      padding: 0;
      font-family: Arial;
      background-color: #ffffff; /* สีเทา */
      text-align: center;
  }
  .container {
      background-color: #c8c3c3;
  }
  .popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.5);
  }
  
  .popup-box {
    background: white;
    padding: 20px;
    width: 250px;
    margin: 150px auto;
    border-radius: 10px;
    text-align: center;
  }
  
  .qty-box {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
  }
  
  .qty-box button {
    width: 30px;
    height: 30px;
  }
  
  .qty-box span {
    margin: 0 10px;
    font-size: 18px;
  }
  .navbar {
    position: relative;
}

.cart-icon {
    position: absolute;
    right: 20px;
    top: 20px;
    cursor: pointer;
    font-size: 18px;
}
#cart-count {
    background: red;
    color: white;
    border-radius: 50%;
    padding: 2px 6px;
    font-size: 12px;
}
.cart-popup {
    display: none;
    position: absolute;
    right: 20px;
    top: 60px;
    width: 250px;
    background: white;
    border-radius: 10px;
    box-shadow: 0 0 10px #ccc;
    padding: 10px;
    z-index: 100;
}
.qty-box {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
}

.qty-btn {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    padding: 0;
    background: black;
    color: white;
    border: none;
    font-size: 20px;

    display: flex;
    justify-content: center;
    align-items: center;
}

.qty-number {
    font-size: 18px;
    min-width: 30px;
    text-align: center;
}

.qty-btn:hover {
    background: #333; /* ดำอ่อนตอน hover */
}

.delivery-box {
    text-align: left;
    margin: 10px 0;
}

.delivery-box label {
    display: block;
    margin-bottom: 8px;
    cursor: pointer;
}
.delivery-box input {
    margin-right: 8px;
}

.back-arrow {
    position: absolute;
    top: 15px;
    left: 15px;

    width: 40px;
    height: 40px;

    background: black;
    color: white;

    border-radius: 50%;

    display: flex;
    justify-content: center;
    align-items: center;

    font-size: 22px;
    cursor: pointer;

    box-shadow: 0 2px 8px rgba(0,0,0,0.2);

    z-index: 999;
}
.back-arrow:hover {
    background: #333;
}

.bank-box {
    background: #f5f5f5;
    padding: 15px;
    border-radius: 12px;
    margin-top: 10px;
}
.bank-logo {
    width: 80px;
    margin-bottom: 10px;
}
.bank-number-box {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;

    margin: 10px 0;
}

.copy-icon {
    width: 25px;
    cursor: pointer;
}

.social-icons {
    display: flex;
    justify-content: center;
    gap: 15px;

    margin-top: 30px;
}

.social-icons a {
    width: 60px;
    height: 60px;

    border: 2px solid #ddd;
    border-radius: 50%;

    display: flex;
    justify-content: center;
    align-items: center;

    background: white;
}

.social-icons img {
    width: 28px;
    height: 28px;
}

.social-section {
    

    background: black;

    padding: 20px;

    display: flex;

    justify-content: center;
}

.social-row {

    display: flex;

    justify-content: center;

    align-items: center;

    gap: 15px;
}

.social-title {
    color: white;
    font-size: 18px;
    font-weight: bold;

    position: relative;
    top: 14px;
}

.social-icons {

    display: flex;

    align-items: center;

    gap: 12px;
}
.social-icons a {

    width: 50px;
    height: 50px;

    border-radius: 50%;

    background: white;

    display: flex;
    justify-content: center;
    align-items: center;
}

.social-icons img {

    width: 26px;
    height: 26px;

    object-fit: contain;
}
.menu-btn {

    position: fixed;

    top: 20px;
    left: 20px;

    font-size: 28px;

    background: black;

    color: white;

    border: none;

    width: 50px;
    height: 50px;

    border-radius: 50%;

    z-index: 1001;

    cursor: pointer;
}

.sidebar {

    height: 100%;

    width: 0;

    position: fixed;

    top: 0;
    left: 0;

    background: black;

    overflow-x: hidden;

    transition: 0.3s;

    padding-top: 60px;

    z-index: 1000;
}

.sidebar a {

    display: block;

    color: white;

    text-decoration: none;

    padding: 15px 25px;

    font-size: 18px;
}

.close-btn {

    position: absolute;

    top: 15px;
    right: 20px;

    font-size: 30px;

    background: none;

    border: none;

    color: white;

    cursor: pointer;
}

.product-page {
    padding: 20px;
}

.branch-buttons {
    display: flex;
    justify-content: center;
    gap: 10px;

    margin-bottom: 25px;

    flex-wrap: wrap;
}

.branch-buttons button {
    background: black;
    color: white;

    border: none;

    padding: 10px 18px;

    border-radius: 30px;

    cursor: pointer;
}

#product-list {

    width: 100%;

    max-width: 500px;

    margin: auto;

    display: flex;

    flex-direction: column;

    gap: 20px;
}

.product-card {

    background: white;

    border-radius: 15px;

    padding: 20px;

    box-shadow: 0 0 10px #ccc;

    display: flex;

    align-items: center;

    gap: 30px;

    text-align: left;

    width: 100%;

    min-height: 200px;

    box-sizing: border-box;
}

.product-card img {

    width: 170px;

    height: 170px;

    object-fit: cover;

    border-radius: 12px;

    flex-shrink: 0;
}
.product-info h3 {
    font-size: 24px;
}

.branch-buttons button {

    transition: 0.15s;

    cursor: pointer;
}

.branch-buttons button:active {

    transform: scale(0.95);

    box-shadow: inset 0 3px 8px rgba(0,0,0,0.3);
}
.branch-btn {

    border-radius: 20px;

    transition: 0.15s;

    cursor: pointer;
}

.branch-btn:active {

    transform: scale(0.95);

    box-shadow:
    inset 0 3px 8px rgba(0,0,0,0.3);
}
.qty-input {

    width: 60px;

    height: 40px;

    text-align: center;

    font-size: 24px;

    font-weight: normal;

    border: none;

    outline: none;

    background: transparent;

    color: black;
}
.cart-qty-input {

    width: 50px;

    text-align: center;

    font-size: 20px;

    font-weight: normal;

    border: none;

    background: transparent;

    outline: none;
}

.order-container {

    display: flex;

    flex-direction: column;

    gap: 12px;

    max-width: 600px;

    width: 90%;

    margin: auto;
}

.order-container input,
.order-container textarea,
.order-container select {

    padding: 5px;

    font-size: 18px;

    border-radius: 10px;
}

.order-container select {

    width: 100%;

    padding: 14px;

    font-size: 18px;

    border-radius: 10px;

    border: 1px solid #ccc;

    box-sizing: border-box;
}

.confirm-btn {
    
    display: block;

    margin-left: auto;

    margin-right: auto; 

    text-align: center;
    
    width: 50%;

    padding: 15px;

    font-size: 22px;

    font-weight: bold;

    color: #000;

    border-radius: 14px;

    cursor: pointer;

    margin-top: 20px;

    background: black;

    color: white;
}

.confirm-btn:active {

    transform: scale(0.97);

    transition: 0.15s;

    box-shadow:
    inset 0 3px 8px
    rgba(0,0,0,0.3);
}
.order-container label {

    display: block;

    margin-bottom: 6px;

    margin-top: 6px;
}

